Bug 136992 - sources file got wiped out after update up2date
sources file got wiped out after update up2date
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-24 18:55 EDT by Hernando Garcia
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:05:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hernando Garcia 2004-10-24 18:55:26 EDT
Description of problem:
After up2date was updated to the latest release verison 4.3.46-1 if
fails to update returning warning  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. up2date up2date
2. up2date -u --nox
3. up2date does not find /etc/sysconfig/rhn/sources file.
  
Actual results:

up2date fails to update

It gives instead:

warning: can't access/etc/sysconfig/rhn/sources

Follow by:

System is already updated !

Expected results:

up2date updating the system.

Additional info:

It can resolved by copying a valid sources file for fc3t3
Comment 1 Bill Nottingham 2004-10-25 17:41:39 EDT
The sources file has moved to redhat-release/fedora-release.
Comment 2 Yusuf Goolamabbas 2004-10-26 01:14:39 EDT
should this not block 123268
an strace of up2date -u does not show it currently accessing
redhat-release/fedora-release

Comment 3 Adrian Likins 2004-10-26 14:47:30 EDT
re comment #2. The souces is still /etc/sysconfig/rhn/sources,
only that file now lives in the "fedora-release" package.
Comment 4 Matthew Miller 2006-07-10 18:43:29 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-29 10:05:46 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.